GDB (xrefs)

Classes | Macros | Enumerations | Functions
/tmp/gdb-8.1/gdb/charset.h File Reference
`#include "common/def-vector.h"`

Go to the source code of this file.

## Classes
class | wchar_iterator

## Macros
#define | HOST_ESCAPE_CHAR 27

## Enumerations
enum | transliterations { translit_none, translit_char }
enum | wchar_iterate_result { wchar_iterate_ok, wchar_iterate_invalid, wchar_iterate_incomplete, wchar_iterate_eof }

## Functions
const char * | host_charset (void)
const char * | target_charset (struct gdbarch *gdbarch)
const char * | target_wide_charset (struct gdbarch *gdbarch)
void | convert_between_encodings (const char *from, const char *to, const gdb_byte *bytes, unsigned int num_bytes, int width, struct obstack *output, enum transliterations translit)
char | host_letter_to_control_character (char c)
int | host_hex_value (char c)

## Macro Definition Documentation

## ◆ HOST_ESCAPE_CHAR

#define HOST_ESCAPE_CHAR 27

Definition at line 156 of file charset.h.

Referenced by c_parse_escape().

## Enumeration Type Documentation

## ◆ transliterations

enum transliterations

Enumerator
translit_none |
translit_char |

Definition at line 43 of file charset.h.

## ◆ wchar_iterate_result

enum wchar_iterate_result

Enumerator
wchar_iterate_ok |
wchar_iterate_invalid |
wchar_iterate_incomplete |
wchar_iterate_eof |

Definition at line 74 of file charset.h.

## Function Documentation

## ◆ convert_between_encodings()

void convert_between_encodings | ( | const char * | from,
|  | const char * | to,
|  | const gdb_byte * | bytes,
|  | unsigned int | num_bytes,
|  | int | width,
|  | struct obstack * | output,
|  | enum transliterations | translit
| ) |  |

Definition at line 512 of file charset.c.

References _, iconv_wrapper::convert(), error(), ICONV_CONST, obstack_grow_str, perror_with_name(), translit_none, and xsnprintf().

Referenced by convert_ucn(), generic_emit_char(), generic_printstr(), host_char_to_target(), lex_string(), parse_one_string(), printf_wide_c_string(), and ui_printf().

## ◆ host_charset()

const char* host_charset | ( | void |  | ) |

Definition at line 417 of file charset.c.

References auto_host_charset_name, and host_charset_name.

Referenced by cmdpy_completer_helper(), cmdpy_function(), cmdscm_add_completion(), cmdscm_completer(), cmdscm_function(), frapy_name(), gdbpy_frame_stop_reason_string(), gdbpy_target_charset(), gdbpy_target_wide_charset(), gdbscm_scm_from_host_string(), gdbscm_scm_to_host_string(), gdbscm_value_print(), generic_emit_char(), generic_printstr(), host_char_to_target(), host_string_to_python_string(), parse_one_string(), printf_wide_c_string(), python_string_to_host_string(), python_string_to_unicode(), typy_str(), ui_printf(), validate(), and valpy_str().

## ◆ host_hex_value()

int host_hex_value | ( | char | c | ) |

Definition at line 471 of file charset.c.

References gdb_assert.

Referenced by convert_hex(), convert_octal(), convert_ucn(), mi_parse_escape(), objfpy_build_id_matches(), and parse_escape().

## ◆ host_letter_to_control_character()

char host_letter_to_control_character | ( | char | c | ) |

Definition at line 460 of file charset.c.

## ◆ target_charset()

const char* target_charset | ( | struct gdbarch * | gdbarch | ) |

Definition at line 425 of file charset.c.

References gdbarch_auto_charset(), and target_charset_name.

Referenced by charset_for_string_type(), f_get_encoding(), gdbpy_target_charset(), gdbscm_arch_charset(), host_char_to_target(), parse_escape(), ppscm_print_string_repr(), rust_emitchar(), unicode_to_target_python_string(), unicode_to_target_string(), validate(), and vlscm_convert_typed_value_from_scheme().

## ◆ target_wide_charset()

const char* target_wide_charset | ( | struct gdbarch * | gdbarch | ) |

Definition at line 433 of file charset.c.

References gdbarch::byte_order, gdbarch_auto_wide_charset(), gdbarch_byte_order(), set_be_le_names(), target_wide_charset_be_name, target_wide_charset_le_name, and target_wide_charset_name.

Referenced by charset_for_string_type(), gdbpy_target_wide_charset(), gdbscm_arch_wide_charset(), printf_wide_c_string(), and ui_printf().